SKILL(1)

NAZWA
skill, snice - wysłanie sygnału lub informacja o stanie procesu

SKŁADNIA
skill [sygnał] [opcje] wyrażenie
snice [nowy priorytet] [opcje] wyrażenie

OPIS
Niniejsze narzędzia są przestarzałe i nieprzenośne. Składnia poleceń jest słabo zdefiniowana. Zamiast nich lepiej używać poleceń killall, pkill oraz pgrep.

Domyśli sygnał dla programu skill to TERM. Listę dostępnych sygnałów można uzyskać przy użyciu -l lub -L. Szczególnie przydatne sygnały to HUP, INT, KILL, STOP, CONT oraz 0. Alternatywne sygnały można podać na trzy sposoby: -9 -SIGKILL -KILL.

Domyślny priorytet dla programu snice to +4. Numery priorytetów są z przedziału +20 (najwolniej) do -20 (najszybciej). Numery ujemne są zastrzeżone dla administratorów.

OPCJE

-f, --fast
    Tryb szybki. Ta opcja nie została zaimplementowana.

-i, --interactive
    Tryb interaktywny. Użytkownik będzie pytany o każdą akcję.

-l, --list
    Lista wszystkich nazw sygnałów.

-L, --table
    Lista wszystkich nazw sygnałów w ładnej tabelce.

-n, --no-action
    Bez akcji; wykonanie symulacji zdarzeń, które by nastąpiły, ale bez zmian w systemie.

-v, --verbose
    Tryb szczegółowy; wyjaśnianie, co jest wykonywane.

-w, --warnings
    Włączenie ostrzeżeń. Ta opcja nie została zaimplementowana.

-h, --help
    Wyświetlenie tekstu pomocy i zakończenie.

-V, --version
    Wyświetlenie informacji o wersji.

OPCJE WYBORU PROCESÓW
Kryterium wyboru może być: terminal, użytkownik, pid, polecenie. W celu zapewnienia właściwej interpretacji można użyć poniższych opcji.

-t, --tty tty
    Następne wyrażenie jest terminalem (tty lub pty).

-u, --user użytkownik
    Następne wyrażenie jest nazwą użytkownika.

-p, --pid pid
    Następne wyrażenie jest liczbowym identyfikatorem procesu.

-c, --command polecenie
    następne wyrażenie jest nazwą polecenia.

--ns pid
    Dopasowanie procesów należących do tej samej przestrzeni nazw, co pid.

--nslist ns,...
    lista przestrzeni nazw uwzględnianych w opcji --ns. Dostępne przestrzenie: ipc, mnt, net, pid, user, uts.

SYGNAŁY
Zachowanie sygnałów jest wyjaśnione na stronie podręcznika signal(7).

PRZYKŁADY

snice -c seti -c crack +7
    Spowolnienie poleceń seti oraz crack.

skill -KILL -t /dev/pts/*
    Zabicie użytkowników na urządzeniach PTY.

skill -STOP -u viro -u lm -u davem
    Zatrzymanie trzech użytkowników.

ZOBACZ TAKŻE
kill(1), kill(2), killall(1), nice(1), pkill(1), renice(1), signal(7)

STANDARDY
Żadne standardy nie dotyczą tych poleceń.

AUTOR
Albert Cahalan (albert@users.sf.net) napisał programy skill i snice w roku 1999 jako zamiennik wersji nie będących oprogramowaniem wolnodostępnym.

ZGŁASZANIE BŁĘDÓW
Zgłoszenia błędów prosimy wysyłać na adres procps@freelists.org